package com.ruoyi.basetyre.mapper;

import java.util.List;
import com.ruoyi.basetyre.domain.BaseDevice;

/**
 * 设备管理Mapper接口
 * 
 * @author Yangwl
 * @date 2023-02-09
 */
public interface BaseDeviceMapper 
{
    /**
     * 查询设备管理
     * 
     * @param id 设备管理主键
     * @return 设备管理
     */
    public BaseDevice selectBaseDeviceById(String id);

    /**
     * 查询设备管理列表
     * 
     * @param baseDevice 设备管理
     * @return 设备管理集合
     */
    public List<BaseDevice> selectBaseDeviceList(BaseDevice baseDevice);

    /**
     * 新增设备管理
     * 
     * @param baseDevice 设备管理
     * @return 结果
     */
    public int insertBaseDevice(BaseDevice baseDevice);

    /**
     * 修改设备管理
     * 
     * @param baseDevice 设备管理
     * @return 结果
     */
    public int updateBaseDevice(BaseDevice baseDevice);

    /**
     * 删除设备管理
     * 
     * @param id 设备管理主键
     * @return 结果
     */
    public int deleteBaseDeviceById(String id);

    /**
     * 批量删除设备管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseDeviceByIds(String[] ids);
}
